#
# spec file for package ffnvcodec
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ffnvcodec
Version:        8.2.15.7
Release:        lp152.2.2
Summary:        FFmpeg version of NVIDIA codec API headers
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://git.videolan.org/?p=ffmpeg/nv-codec-headers.git
Source:         nv-codec-headers-%{version}.tar.xz
BuildRequires:  pkgconfig

%description
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%package -n %{name}-devel
Summary:        FFmpeg version of NVIDIA codec API headers
Group:          Development/Libraries/C and C++

%description -n %{name}-devel
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%prep
%setup -q -n nv-codec-headers-%{version}

%build

%install
make PREFIX=%{_prefix} LIBDIR=%{_lib} DESTDIR=%{buildroot} install

%files -n %{name}-devel
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Feb 23 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.7
  * Add cuMipmappedArrayDestroy
* Wed Dec  5 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.6
  * CUDA 10: Add external semaphore API
  * Add a subset of CUDA kernel interaction API
  * Add CUDA function cuMemAllocPitch
* Tue Nov  6 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.5
  * Add CUDA function cuDeviceGetAttribute V2
  * Guard against multiple definitions of CUuuid
  * Add cuGetDeviceUuid, load as optional function
* Sun Oct  7 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 8.2.15.1
  * Update for CUDA 10
    This adds support for the CUDA/Vulkan interop API, which
    requires very new driver versions. As such, we allow the
    symbols to be optionally loaded.
* Fri Jun 29 2018 9+suse@cirno.systems
- Update to version 8.1.24.2
  * SDK 8.1
* Fri Jun 29 2018 9+suse@cirno.systems
- Init, 8.0.14.2
